Subject: Re: bug#48762: Bug in guix installer (seems to be unable to create swap) - reproducable

From: Mathieu Othacehe <[email-masked]>
Date: Tue, 01 Jun 2021 14:46:13 +0200

Hello Andrew,

> This happens when I use _any_ partitioning scheme, manual or
> automatic.

Thanks for the complete bug report. I think that this bug falls into the
same category as https://issues.guix.gnu.org/47996,
https://issues.guix.gnu.org/47567, https://issues.guix.gnu.org/44872 and
probably some others.

The "free-parted" procedure that makes sure that all the partitions are
created and not in use probably fails in some configurations. Otherwise,
I cannot understand why the "mkswap" binary would fail.

We may need to come up with a new procedure that provides stronger
guarantees.

Thanks,

Mathieu